package org.gcube.application.geoportal.service;

import org.gcube.application.geoportal.common.rest.InterfaceConstants;
import org.gcube.application.geoportal.service.profiledDocuments.AbstractProfiledDocumentsTests;
import org.junit.Test;

import javax.ws.rs.client.WebTarget;
import javax.ws.rs.core.Response;

import static org.junit.Assert.assertEquals;

public class InexistentUseCaseDescriptorTests extends AbstractProfiledDocumentsTests {

    @Override
    protected WebTarget baseTarget() {
        String testProfileId="profiledConcessioni";
        return target(InterfaceConstants.Methods.PROJECTS).path(testProfileId);
    }

    // GET
    @Test
    public void testMissingProfile(){
        Response resp = target(InterfaceConstants.Methods.PROJECTS)
                .path("non-existent-useCaseDescriptor").request().get();
        assertEquals(404,resp.getStatus());
    }
}
